## org.apache.poi.hslf.record
Class SheetContainer

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordContainer
              org.apache.poi.hslf.record.PositionDependentRecordContainer
                  org.apache.poi.hslf.record.SheetContainer

All Implemented Interfaces:
  PositionDependentRecord

Direct Known Subclasses:
  MainMaster, Notes, Slide

    public abstract class SheetContainer

extends PositionDependentRecordContainer

The superclass of all sheet container records - Slide, Notes, MainMaster, etc.

Field Summary

Fields inherited from class org.apache.poi.hslf.record.PositionDependentRecordContainer
`myLastOnDiskOffset`

Fields inherited from class org.apache.poi.hslf.record.RecordContainer
`_children`

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`SheetContainer()`

Method Summary
`abstract ColorSchemeAtom` `getColorScheme()`
`abstract PPDrawing` `getPPDrawing()` Returns the PPDrawing of this sheet, which has all the interesting data in it

Methods inherited from class org.apache.poi.hslf.record.PositionDependentRecordContainer
`getLastOnDiskOffset, getSheetId, setLastOnDiskOffset, setSheetId, updateOtherRecordReferences`

Methods inherited from class org.apache.poi.hslf.record.RecordContainer
`addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, getRecordType, writeLittleEndian, writeLittleEndian, writeOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SheetContainer

    public SheetContainer()

Method Detail

### getPPDrawing

    public abstract PPDrawing getPPDrawing()

  Returns the PPDrawing of this sheet, which has all the interesting data in it

### getColorScheme

    public abstract ColorSchemeAtom getColorScheme()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.